<?php
$tdataissued = array();
$tdataissued[".searchableFields"] = array();
$tdataissued[".ShortName"] = "issued";
$tdataissued[".OwnerID"] = "md";
$tdataissued[".OriginalTable"] = "allocation";


$tdataissued[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataissued[".originalPagesByType"] = $tdataissued[".pagesByType"];
$tdataissued[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataissued[".originalPages"] = $tdataissued[".pages"];
$tdataissued[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataissued[".originalDefaultPages"] = $tdataissued[".defaultPages"];

//	field labels
$fieldLabelsissued = array();
$fieldToolTipsissued = array();
$pageTitlesissued = array();
$placeHoldersissued = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsissued["English"] = array();
	$fieldToolTipsissued["English"] = array();
	$placeHoldersissued["English"] = array();
	$pageTitlesissued["English"] = array();
	$fieldLabelsissued["English"]["id"] = "ID";
	$fieldToolTipsissued["English"]["id"] = "";
	$placeHoldersissued["English"]["id"] = "";
	$fieldLabelsissued["English"]["date"] = "Date";
	$fieldToolTipsissued["English"]["date"] = "";
	$placeHoldersissued["English"]["date"] = "";
	$fieldLabelsissued["English"]["expenditure_code"] = "Expenditure code";
	$fieldToolTipsissued["English"]["expenditure_code"] = "";
	$placeHoldersissued["English"]["expenditure_code"] = "";
	$fieldLabelsissued["English"]["department_name"] = "Department name";
	$fieldToolTipsissued["English"]["department_name"] = "";
	$placeHoldersissued["English"]["department_name"] = "";
	$fieldLabelsissued["English"]["at_start"] = "At start";
	$fieldToolTipsissued["English"]["at_start"] = "";
	$placeHoldersissued["English"]["at_start"] = "";
	$fieldLabelsissued["English"]["at_end"] = "At end";
	$fieldToolTipsissued["English"]["at_end"] = "";
	$placeHoldersissued["English"]["at_end"] = "";
	$fieldLabelsissued["English"]["user"] = "User";
	$fieldToolTipsissued["English"]["user"] = "";
	$placeHoldersissued["English"]["user"] = "";
	$fieldLabelsissued["English"]["on_time"] = "On Time";
	$fieldToolTipsissued["English"]["on_time"] = "";
	$placeHoldersissued["English"]["on_time"] = "";
	$fieldLabelsissued["English"]["md"] = "Md";
	$fieldToolTipsissued["English"]["md"] = "";
	$placeHoldersissued["English"]["md"] = "";
	$fieldLabelsissued["English"]["description"] = "Description";
	$fieldToolTipsissued["English"]["description"] = "";
	$placeHoldersissued["English"]["description"] = "";
	$fieldLabelsissued["English"]["this_allocation"] = "This Allocation";
	$fieldToolTipsissued["English"]["this_allocation"] = "";
	$placeHoldersissued["English"]["this_allocation"] = "";
	$fieldLabelsissued["English"]["comment"] = "Comment";
	$fieldToolTipsissued["English"]["comment"] = "";
	$placeHoldersissued["English"]["comment"] = "";
	$fieldLabelsissued["English"]["c_acc"] = "C Acc";
	$fieldToolTipsissued["English"]["c_acc"] = "";
	$placeHoldersissued["English"]["c_acc"] = "";
	$fieldLabelsissued["English"]["delete"] = "Delete";
	$fieldToolTipsissued["English"]["delete"] = "";
	$placeHoldersissued["English"]["delete"] = "";
	$fieldLabelsissued["English"]["status"] = "Status";
	$fieldToolTipsissued["English"]["status"] = "";
	$placeHoldersissued["English"]["status"] = "";
	if (count($fieldToolTipsissued["English"]))
		$tdataissued[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="sinhala")
{
	$fieldLabelsissued["sinhala"] = array();
	$fieldToolTipsissued["sinhala"] = array();
	$placeHoldersissued["sinhala"] = array();
	$pageTitlesissued["sinhala"] = array();
	$fieldLabelsissued["sinhala"]["id"] = "අංකය";
	$fieldToolTipsissued["sinhala"]["id"] = "";
	$placeHoldersissued["sinhala"]["id"] = "";
	$fieldLabelsissued["sinhala"]["date"] = "දිනය";
	$fieldToolTipsissued["sinhala"]["date"] = "";
	$placeHoldersissued["sinhala"]["date"] = "";
	$fieldLabelsissued["sinhala"]["expenditure_code"] = "වැය ශිර්ෂය";
	$fieldToolTipsissued["sinhala"]["expenditure_code"] = "";
	$placeHoldersissued["sinhala"]["expenditure_code"] = "";
	$fieldLabelsissued["sinhala"]["department_name"] = "දෙපාර්තමේන්තුව";
	$fieldToolTipsissued["sinhala"]["department_name"] = "";
	$placeHoldersissued["sinhala"]["department_name"] = "";
	$fieldLabelsissued["sinhala"]["at_start"] = "ආරම්භක ශේෂය";
	$fieldToolTipsissued["sinhala"]["at_start"] = "";
	$placeHoldersissued["sinhala"]["at_start"] = "";
	$fieldLabelsissued["sinhala"]["at_end"] = "අවසාන ශේෂය";
	$fieldToolTipsissued["sinhala"]["at_end"] = "";
	$placeHoldersissued["sinhala"]["at_end"] = "";
	$fieldLabelsissued["sinhala"]["user"] = "User";
	$fieldToolTipsissued["sinhala"]["user"] = "";
	$placeHoldersissued["sinhala"]["user"] = "";
	$fieldLabelsissued["sinhala"]["on_time"] = "On Time";
	$fieldToolTipsissued["sinhala"]["on_time"] = "";
	$placeHoldersissued["sinhala"]["on_time"] = "";
	$fieldLabelsissued["sinhala"]["md"] = "Md";
	$fieldToolTipsissued["sinhala"]["md"] = "";
	$placeHoldersissued["sinhala"]["md"] = "";
	$fieldLabelsissued["sinhala"]["description"] = "Description";
	$fieldToolTipsissued["sinhala"]["description"] = "";
	$placeHoldersissued["sinhala"]["description"] = "";
	$fieldLabelsissued["sinhala"]["this_allocation"] = "This Allocation";
	$fieldToolTipsissued["sinhala"]["this_allocation"] = "";
	$placeHoldersissued["sinhala"]["this_allocation"] = "";
	$fieldLabelsissued["sinhala"]["comment"] = "Comment";
	$fieldToolTipsissued["sinhala"]["comment"] = "";
	$placeHoldersissued["sinhala"]["comment"] = "";
	$fieldLabelsissued["sinhala"]["c_acc"] = "C Acc";
	$fieldToolTipsissued["sinhala"]["c_acc"] = "";
	$placeHoldersissued["sinhala"]["c_acc"] = "";
	$fieldLabelsissued["sinhala"]["delete"] = "Delete";
	$fieldToolTipsissued["sinhala"]["delete"] = "";
	$placeHoldersissued["sinhala"]["delete"] = "";
	$fieldLabelsissued["sinhala"]["status"] = "Status";
	$fieldToolTipsissued["sinhala"]["status"] = "";
	$placeHoldersissued["sinhala"]["status"] = "";
	if (count($fieldToolTipsissued["sinhala"]))
		$tdataissued[".isUseToolTips"] = true;
}


	$tdataissued[".NCSearch"] = true;



$tdataissued[".shortTableName"] = "issued";
$tdataissued[".nSecOptions"] = 0;

$tdataissued[".mainTableOwnerID"] = "md";
$tdataissued[".entityType"] = 1;
$tdataissued[".connId"] = "allo_at_localhost";


$tdataissued[".strOriginalTableName"] = "allocation";

	



$tdataissued[".showAddInPopup"] = false;

$tdataissued[".showEditInPopup"] = false;

$tdataissued[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataissued[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataissued[".listAjax"] = true;
//	temporary
$tdataissued[".listAjax"] = false;

	$tdataissued[".audit"] = true;

	$tdataissued[".locking"] = true;


$pages = $tdataissued[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataissued[".edit"] = true;
	$tdataissued[".afterEditAction"] = 1;
	$tdataissued[".closePopupAfterEdit"] = 1;
	$tdataissued[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataissued[".add"] = true;
$tdataissued[".afterAddAction"] = 1;
$tdataissued[".closePopupAfterAdd"] = 1;
$tdataissued[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataissued[".list"] = true;
}



$tdataissued[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataissued[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataissued[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataissued[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataissued[".printFriendly"] = true;
}



$tdataissued[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataissued[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataissued[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataissued[".isUseAjaxSuggest"] = true;

$tdataissued[".rowHighlite"] = true;



																								

$tdataissued[".ajaxCodeSnippetAdded"] = false;

$tdataissued[".buttonsAdded"] = false;

$tdataissued[".addPageEvents"] = true;

// use timepicker for search panel
$tdataissued[".isUseTimeForSearch"] = false;


$tdataissued[".badgeColor"] = "6B8E23";


$tdataissued[".allSearchFields"] = array();
$tdataissued[".filterFields"] = array();
$tdataissued[".requiredSearchFields"] = array();

$tdataissued[".googleLikeFields"] = array();
$tdataissued[".googleLikeFields"][] = "id";
$tdataissued[".googleLikeFields"][] = "date";
$tdataissued[".googleLikeFields"][] = "expenditure_code";
$tdataissued[".googleLikeFields"][] = "department_name";
$tdataissued[".googleLikeFields"][] = "at_start";
$tdataissued[".googleLikeFields"][] = "at_end";
$tdataissued[".googleLikeFields"][] = "user";
$tdataissued[".googleLikeFields"][] = "on_time";
$tdataissued[".googleLikeFields"][] = "md";
$tdataissued[".googleLikeFields"][] = "description";
$tdataissued[".googleLikeFields"][] = "this_allocation";
$tdataissued[".googleLikeFields"][] = "comment";
$tdataissued[".googleLikeFields"][] = "c_acc";
$tdataissued[".googleLikeFields"][] = "delete";
$tdataissued[".googleLikeFields"][] = "status";



$tdataissued[".tableType"] = "list";

$tdataissued[".printerPageOrientation"] = 0;
$tdataissued[".isPrinterPageFitToPage"] = 0;
$tdataissued[".nPrinterPageScale"] = 100;

$tdataissued[".nPrinterSplitRecords"] = 40;

$tdataissued[".geocodingEnabled"] = false;










$tdataissued[".pageSize"] = 20;

$tdataissued[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataissued[".strOrderBy"] = $tstrOrderBy;

$tdataissued[".orderindexes"] = array();


$tdataissued[".sqlHead"] = "SELECT id,  `date`,  expenditure_code,  department_name,  at_start,  at_end,  `user`,  on_time,  md,  description,  this_allocation,  `comment`,  c_acc,  `delete`,  status";
$tdataissued[".sqlFrom"] = "FROM allocation";
$tdataissued[".sqlWhereExpr"] = "(status = \"Signed\")";
$tdataissued[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdataissued[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataissued[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataissued[".arrGroupsPerPage"] = $arrGPP;

$tdataissued[".highlightSearchResults"] = true;

$tableKeysissued = array();
$tableKeysissued[] = "id";
$tdataissued[".Keys"] = $tableKeysissued;


$tdataissued[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["id"] = $fdata;
		$tdataissued[".searchableFields"][] = "id";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Between";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["date"] = $fdata;
		$tdataissued[".searchableFields"][] = "date";
//	expenditure_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "expenditure_code";
	$fdata["GoodName"] = "expenditure_code";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","expenditure_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "expenditure_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expenditure_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["expenditure_code"] = $fdata;
		$tdataissued[".searchableFields"][] = "expenditure_code";
//	department_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "department_name";
	$fdata["GoodName"] = "department_name";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","department_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "department_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "department_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["department_name"] = $fdata;
		$tdataissued[".searchableFields"][] = "department_name";
//	at_start
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "at_start";
	$fdata["GoodName"] = "at_start";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","at_start");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "at_start";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "at_start";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["at_start"] = $fdata;
		$tdataissued[".searchableFields"][] = "at_start";
//	at_end
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "at_end";
	$fdata["GoodName"] = "at_end";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","at_end");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "at_end";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "at_end";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["at_end"] = $fdata;
		$tdataissued[".searchableFields"][] = "at_end";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["user"] = $fdata;
		$tdataissued[".searchableFields"][] = "user";
//	on_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "on_time";
	$fdata["GoodName"] = "on_time";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","on_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "on_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "on_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["on_time"] = $fdata;
		$tdataissued[".searchableFields"][] = "on_time";
//	md
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "md";
	$fdata["GoodName"] = "md";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","md");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "md";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "md";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["md"] = $fdata;
		$tdataissued[".searchableFields"][] = "md";
//	description
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "description";
	$fdata["GoodName"] = "description";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","description");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "description";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "description";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["description"] = $fdata;
		$tdataissued[".searchableFields"][] = "description";
//	this_allocation
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "this_allocation";
	$fdata["GoodName"] = "this_allocation";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","this_allocation");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "this_allocation";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "this_allocation";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["this_allocation"] = $fdata;
		$tdataissued[".searchableFields"][] = "this_allocation";
//	comment
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "comment";
	$fdata["GoodName"] = "comment";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","comment");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "comment";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`comment`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["comment"] = $fdata;
		$tdataissued[".searchableFields"][] = "comment";
//	c_acc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "c_acc";
	$fdata["GoodName"] = "c_acc";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","c_acc");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "c_acc";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c_acc";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["c_acc"] = $fdata;
		$tdataissued[".searchableFields"][] = "c_acc";
//	delete
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "delete";
	$fdata["GoodName"] = "delete";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","delete");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "delete";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`delete`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["delete"] = $fdata;
		$tdataissued[".searchableFields"][] = "delete";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("Issued","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=200";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataissued["status"] = $fdata;
		$tdataissued[".searchableFields"][] = "status";


$tables_data["Issued"]=&$tdataissued;
$field_labels["Issued"] = &$fieldLabelsissued;
$fieldToolTips["Issued"] = &$fieldToolTipsissued;
$placeHolders["Issued"] = &$placeHoldersissued;
$page_titles["Issued"] = &$pageTitlesissued;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Issued"] = array();
//	issued list
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="issued list";
		$detailsParam["dOriginalTable"] = "allocation_detail";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "issued_list";
	$detailsParam["dCaptionTable"] = GetTableCaption("issued_list");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["Issued"][$dIndex] = $detailsParam;

	
		$detailsTablesData["Issued"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["Issued"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["Issued"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["Issued"][$dIndex]["detailKeys"][]="fk";

// tables which are master tables for current table (detail)
$masterTablesData["Issued"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_issued()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  `date`,  expenditure_code,  department_name,  at_start,  at_end,  `user`,  on_time,  md,  description,  this_allocation,  `comment`,  c_acc,  `delete`,  status";
$proto0["m_strFrom"] = "FROM allocation";
$proto0["m_strWhere"] = "(status = \"Signed\")";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "status = \"Signed\"";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= \"Signed\"";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "Issued";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto8["m_sql"] = "`date`";
$proto8["m_srcTableName"] = "Issued";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "expenditure_code",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto10["m_sql"] = "expenditure_code";
$proto10["m_srcTableName"] = "Issued";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "department_name",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto12["m_sql"] = "department_name";
$proto12["m_srcTableName"] = "Issued";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "at_start",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto14["m_sql"] = "at_start";
$proto14["m_srcTableName"] = "Issued";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "at_end",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto16["m_sql"] = "at_end";
$proto16["m_srcTableName"] = "Issued";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto18["m_sql"] = "`user`";
$proto18["m_srcTableName"] = "Issued";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "on_time",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto20["m_sql"] = "on_time";
$proto20["m_srcTableName"] = "Issued";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "md",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto22["m_sql"] = "md";
$proto22["m_srcTableName"] = "Issued";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "description",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto24["m_sql"] = "description";
$proto24["m_srcTableName"] = "Issued";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "this_allocation",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto26["m_sql"] = "this_allocation";
$proto26["m_srcTableName"] = "Issued";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "comment",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto28["m_sql"] = "`comment`";
$proto28["m_srcTableName"] = "Issued";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "c_acc",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto30["m_sql"] = "c_acc";
$proto30["m_srcTableName"] = "Issued";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "delete",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto32["m_sql"] = "`delete`";
$proto32["m_srcTableName"] = "Issued";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "allocation",
	"m_srcTableName" => "Issued"
));

$proto34["m_sql"] = "status";
$proto34["m_srcTableName"] = "Issued";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto36=array();
$proto36["m_link"] = "SQLL_MAIN";
			$proto37=array();
$proto37["m_strName"] = "allocation";
$proto37["m_srcTableName"] = "Issued";
$proto37["m_columns"] = array();
$proto37["m_columns"][] = "id";
$proto37["m_columns"][] = "date";
$proto37["m_columns"][] = "expenditure_code";
$proto37["m_columns"][] = "department_name";
$proto37["m_columns"][] = "at_start";
$proto37["m_columns"][] = "at_end";
$proto37["m_columns"][] = "user";
$proto37["m_columns"][] = "on_time";
$proto37["m_columns"][] = "md";
$proto37["m_columns"][] = "description";
$proto37["m_columns"][] = "this_allocation";
$proto37["m_columns"][] = "comment";
$proto37["m_columns"][] = "c_acc";
$proto37["m_columns"][] = "delete";
$proto37["m_columns"][] = "status";
$obj = new SQLTable($proto37);

$proto36["m_table"] = $obj;
$proto36["m_sql"] = "allocation";
$proto36["m_alias"] = "";
$proto36["m_srcTableName"] = "Issued";
$proto38=array();
$proto38["m_sql"] = "";
$proto38["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto38["m_column"]=$obj;
$proto38["m_contained"] = array();
$proto38["m_strCase"] = "";
$proto38["m_havingmode"] = false;
$proto38["m_inBrackets"] = false;
$proto38["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto38);

$proto36["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto36);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Issued";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_issued = createSqlQuery_issued();


	
		;

															

$tdataissued[".sqlquery"] = $queryData_issued;



include_once(getabspath("include/issued_events.php"));
$tableEvents["Issued"] = new eventclass_issued;
$tdataissued[".hasEvents"] = true;

?>